Mailinglist Archive: opensuse-updates (64 mails)

< Previous Next >
openSUSE-SU-2015:1134-1: moderate: Security update for libwmf
openSUSE Security Update: Security update for libwmf
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:1134-1
Rating: moderate
References: #495842 #831299 #892356 #933109
Cross-References: CVE-2009-1364 CVE-2015-0848 CVE-2015-4588

Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that solves three vulnerabilities and has one
errata is now available.

Description:

libwmf was updated to fix three security issues and one non-security bug.

The following vulnerabilities were fixed:

* CVE-2015-0848: An attacker that could trick a victim into opening a
specially crafted WMF file with BMP portions in a libwmf based
application could have executed arbitrary code with the user's
privileges. (boo#933109)
* CVE-2015-0848: An attacker that could trick a victim into opening a
specially crafted WMF file in a libwmf based application could have
executed arbitrary code through incorrect run-length encoding.
(boo#933109)
* CVE-2009-1364: Use-after-free vulnerability in the embedded GD library
in libwmf allowed context-dependent attackers to cause a denial of
service (application crash) or possibly execute arbitrary code via a
crafted WMF file. (boo#495842, boo#831299)

The following non-security bug was fixed:

* boo#892356: Make libwmf-tools not depend on libwmf-devel


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-443=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libwmf-0_2-7-0.2.8.4-234.4.1
libwmf-0_2-7-debuginfo-0.2.8.4-234.4.1
libwmf-debugsource-0.2.8.4-234.4.1
libwmf-devel-0.2.8.4-234.4.1
libwmf-gnome-0.2.8.4-234.4.1
libwmf-gnome-debuginfo-0.2.8.4-234.4.1
libwmf-tools-0.2.8.4-234.4.1
libwmf-tools-debuginfo-0.2.8.4-234.4.1

- openSUSE 13.1 (x86_64):

libwmf-0_2-7-32bit-0.2.8.4-234.4.1
libwmf-0_2-7-debuginfo-32bit-0.2.8.4-234.4.1
libwmf-gnome-32bit-0.2.8.4-234.4.1
libwmf-gnome-debuginfo-32bit-0.2.8.4-234.4.1


References:

https://www.suse.com/security/cve/CVE-2009-1364.html
https://www.suse.com/security/cve/CVE-2015-0848.html
https://www.suse.com/security/cve/CVE-2015-4588.html
https://bugzilla.suse.com/495842
https://bugzilla.suse.com/831299
https://bugzilla.suse.com/892356
https://bugzilla.suse.com/933109


< Previous Next >
This Thread
  • No further messages